Subject: Re: [PATCH 01/18] Follow perlcritic's recommendations - level 5 and 4

From: Matthieu Moy <[email-masked]>
Date: Fri, 07 Jun 2013 19:43:32 +0200

Célestin Matte <[email-masked]> writes:

> The problem is that I took some policies into account for some parts of
> the code, but not for all of it. For instance, in commit [15/18], I put
> some numeric values in constants, but not all of them, as I think having
> "arg[3]" in the code does make sense. Ignoring this policy for future
> developement just to prevent the related warnings from appearing would
> prevent us to see useful warning messages from this policy.

OK. Perhaps a "make sloppy-perlcritic" with zero output and a "make
pedantic-perlcritic" with more policies can make sense. Or just "make
perlcritic", and accept that there are warnings.

> Anyway, should this be integrated in the current patch or added as an
> independant patch?

That could be a new patch, preferably the first of the series.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/